summaryrefslogtreecommitdiffstats
path: root/etherpad/bin
diff options
context:
space:
mode:
authorElliot Kroo <kroo@appjet.com>2010-03-11 15:21:30 -0800
committerElliot Kroo <kroo@appjet.com>2010-03-11 15:21:30 -0800
commit98e2821b38a775737e42a2479a6bc65107210859 (patch)
tree55939a8ba1dce4f4e48ebb13b658061d62bf1b9a /etherpad/bin
parentc1894c8e0a52f4e3d2f89fa92f0066bbf0fcf1b1 (diff)
downloadetherpad-98e2821b38a775737e42a2479a6bc65107210859.tar.gz
etherpad-98e2821b38a775737e42a2479a6bc65107210859.tar.bz2
etherpad-98e2821b38a775737e42a2479a6bc65107210859.zip
reorganizing the first level of folders (trunk/branch folders are not the git way :)
Diffstat (limited to 'etherpad/bin')
-rw-r--r--etherpad/bin/.gitignore1
-rwxr-xr-xetherpad/bin/rebuildjar.sh75
-rwxr-xr-xetherpad/bin/run-local.sh66
-rwxr-xr-xetherpad/bin/setup-mysql-db.sh30
4 files changed, 172 insertions, 0 deletions
diff --git a/etherpad/bin/.gitignore b/etherpad/bin/.gitignore
new file mode 100644
index 0000000..00fd678
--- /dev/null
+++ b/etherpad/bin/.gitignore
@@ -0,0 +1 @@
+run-david.sh
diff --git a/etherpad/bin/rebuildjar.sh b/etherpad/bin/rebuildjar.sh
new file mode 100755
index 0000000..9e802c2
--- /dev/null
+++ b/etherpad/bin/rebuildjar.sh
@@ -0,0 +1,75 @@
+#!/bin/bash -e
+
+# Copyright 2009 Google Inc.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS-IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if [ -z "$JAR" ]; then
+ if [ ! -z `which fastjar` ]; then
+ JAR=fastjar
+ else
+ JAR=jar
+ fi
+fi
+
+function notify {
+ if [ ! -z `which growlnotify` ]; then
+ echo $0 finished | growlnotify
+ fi
+}
+trap notify EXIT
+
+source ../infrastructure/bin/compilecache.sh
+
+suffix="-dev";
+if [ "$1" == "prod" ]; then
+ suffix="";
+ shift;
+fi
+
+OWD=`pwd`
+cd ../infrastructure
+JAR=$JAR bin/makejar.sh $@
+
+rm -rf build/etherpad-jars
+mkdir -p build/etherpad-jars
+
+echo "including etherpad JARs..."
+
+JARFILES="echo ../etherpad/lib/*.jar"
+function genjar {
+ echo "unzipping JARs..."
+ pushd $1 >> /dev/null
+
+ for a in ../../../etherpad/lib/*.jar; do
+ $JAR xf $a
+ rm -rf META-INF/{MANIFEST.MF,NOTICE{,.txt},LICENSE{,.txt},INDEX.LIST,SUN_MICR.{RSA,SF},maven}
+ done
+
+ popd >> /dev/null
+}
+cacheonfiles JAR-etherpad "$JARFILES" genjar 1
+
+echo "updating..."
+
+pushd buildcache/JAR-etherpad >> /dev/null
+$JAR uf ../../build/appjet.jar `ls . | grep -v "^t$"`
+
+echo "done."
+
+popd >> /dev/null
+
+dst="$OWD/appjet-eth$suffix.jar"
+cp -f build/appjet.jar $dst
+cd $OWD
+echo "wrote $dst"
diff --git a/etherpad/bin/run-local.sh b/etherpad/bin/run-local.sh
new file mode 100755
index 0000000..72b0cc1
--- /dev/null
+++ b/etherpad/bin/run-local.sh
@@ -0,0 +1,66 @@
+#!/bin/bash -e
+
+# Copyright 2009 Google Inc.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS-IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+mkdir -p data/appjet
+
+MXRAM="1G"
+if [ ! -z $1 ]; then
+ if [ ! '-' = `echo $1 | head -c 1` ]; then
+ MXRAM="$1";
+ shift;
+ fi
+fi
+
+CP="appjet-eth-dev.jar:data"
+for f in lib/*.jar; do
+ CP="$CP:$f"
+done
+
+if [ -z "$JAVA" ]; then
+ JAVA=java
+fi
+
+# etherpad properties file
+cfg_file=./data/etherpad.local.properties
+if [ ! -f $cfg_file ]; then
+ cfg_file=./etc/etherpad.localdev-default.properties
+fi
+if [[ $1 == "--cfg" ]]; then
+ cfg_file=${2}
+ shift;
+ shift;
+fi
+
+echo "Using config file: ${cfg_file}"
+
+$JAVA -classpath $CP \
+ -server \
+ -Xmx${MXRAM} \
+ -Xms${MXRAM} \
+ -Djava.awt.headless=true \
+ -XX:MaxGCPauseMillis=500 \
+ -XX:+UseConcMarkSweepGC \
+ -XX:+CMSIncrementalMode \
+ -XX:CMSIncrementalSafetyFactor=50 \
+ -XX:+PrintGCDetails \
+ -XX:+PrintGCTimeStamps \
+ -Xloggc:./data/logs/backend/jvm-gc.log \
+ -Dappjet.jmxremote=true \
+ $JAVA_OPTS \
+ net.appjet.oui.main \
+ --configFile=${cfg_file} \
+ "$@"
+
diff --git a/etherpad/bin/setup-mysql-db.sh b/etherpad/bin/setup-mysql-db.sh
new file mode 100755
index 0000000..d823a9e
--- /dev/null
+++ b/etherpad/bin/setup-mysql-db.sh
@@ -0,0 +1,30 @@
+#!/bin/bash -e
+
+# Copyright 2009 Google Inc.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS-IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if [ `whoami` != "root" ]; then
+ echo "Must run as root, i.e., sudo $0"
+ exit 1
+fi
+
+db="etherpad"
+
+echo "Creating etherpad ${db}..."
+echo "create database ${db};" | ${mysql} -u root
+
+echo "Granting priviliges..."
+echo "grant all privileges on ${db}.* to 'etherpad'@'localhost' identified by 'password';" | ${mysql} -u root
+
+echo "Success"